Bug 739263 - Review Request: sugar-bounce - Fast paced 3D action game
Review Request: sugar-bounce - Fast paced 3D action game
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2011-09-16 22:13 EDT by Kalpa Welivitigoda
Modified: 2013-11-08 14:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 14:34:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kalpa Welivitigoda 2011-09-16 22:13:41 EDT
Spec URL: http://callkalpa.fedorapeople.org/sugar-bounce/sugar-bounce.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-bounce/sugar-bounce-7-1.fc15.src.rpm
Description: 

Hi I just finished packaging sugar-bounce. I highly appreciate a review.

sugar-bounce is an activity for sugar learning environment. sugar-bounce is a game which is analogous to the arcade game Pong, however it takes 
place within a three dimensional box with physical effects such 
as gravity. Additionally, bounce features an editor which allows 
children to create their own version of the game.
Comment 1 Brendan Jones 2011-11-11 01:26:08 EST
I will take this on
Comment 2 Brendan Jones 2011-11-11 01:49:51 EST
Hi Kalpa

this is not a noarch package. You are missing a build step to compile the c++ library _pong.so. Have a look in the INSTALL document of the source package.

Brendan
Comment 3 Kalpa Welivitigoda 2011-11-11 09:34:51 EST
Hi Brendan

Would you please explain it in detail. btw, build needs in the INSTALL are all listed in the spec.
Comment 4 Brendan Jones 2011-11-11 11:38:14 EST
Your package contains a C library which must be compiled in the %build section and installed in the appropriate location. Being compiled that means the package is architecture specific - so you have to remove the BuildArch tag.


You will be doing something along the lines of this in your build and prep section and make sure the files are installed in the correct place.

%prep
%setup -q -n Bounce-%{version}
sed -i -e 's|-fPIC -O2|%{optflags}|' pongc/Makefile

%build
# build C binaries
pushd pongc
make 
popd 

For reference: http://fedoraproject.org/wiki/Packaging:SugarActivityGuidelines#Architecture-specific_Activities
Comment 5 Brendan Jones 2011-12-15 12:44:26 EST
I would think that you can simply leave the BuildArch out and make sure that the arch specific stuff goes in the correct %{_libdir}/sugar/activities rather than %{sugaractivitydir}.
 %{_libdir} will change to lib/lib64 depending on the arch the rpm is building. You can test it out in mock: 
mock -r fedora-16-i386 <src.rpm> 
mock -r fedora-16-x86_64 <src.rpm> 

I'm new to Sugar so I would suggest contacting one of the other Sugar maintainers on how to package arch specific Sugar Activities. (http://fedoraproject.org/wiki/Sugar_Activities)
Comment 6 Peter Robinson 2011-12-16 03:57:53 EST
Yes, the BuildArch line can just be dropped.
Comment 8 Kalpa Welivitigoda 2012-03-18 08:31:43 EDT
Sorry incorrect srpm link, here is the correct one

Spec URL: http://callkalpa.fedorapeople.org/sugar-bounce/sugar-bounce.spec
SRPM URL:
http://callkalpa.fedorapeople.org/sugar-bounce/sugar-bounce-7-2.fc16.src.rpm
Comment 9 Brendan Jones 2012-03-25 16:03:19 EDT
Hi Kalpa,

still a few issues here. 

- When I run the application I'm getting the following:

fedora16:~ $ python /usr/share/sugar/activities/Bounce.activity/bounce.pyc
Traceback (most recent call last):
  File "/usr/share/sugar/activities/Bounce.activity/bounce.py", line 28, in <module>
    from pongc.pongc import *
ImportError: No module named pongc.pongc

pongc.py is missing from your package

- You also are using %buildroot and $RPM_BUILDROOT
- defattr(....) present in %files section. This is OK if packaging for EPEL5. Otherwise not needed
- remove rm -rf $RPM_BUILD_ROOT in your %install section
Comment 10 Mario Blättermann 2013-06-03 13:49:13 EDT
No progress for more than a year. Is this ticket still reviewable?
Comment 11 Mario Blättermann 2013-11-01 04:57:41 EDT
Nothing has happened for almost two years. I close this ticket, adding FE-DEADREVIEW.

Note You need to log in before you can comment on or make changes to this bug.